#ifndef _Motion_h
#define _Motion_h

#include "FlowField.h"
#include <QList>
#include <QFile>

class Motion
{
private:
	QList<FlowField> m_FlowFieldList;
public:
	Motion(void);
	Motion(const Motion& other);
	~Motion(void);
	void copyData(const Motion& other);
	Motion& operator=(const Motion& other);
	QList<FlowField>& flowFieldList(){return m_FlowFieldList;};
	const QList<FlowField>& flowFieldList() const {return m_FlowFieldList;};

	// functions for file IO
	bool writeMotion(QFile& file) const;
	bool readMotion(QFile& file);
};

#endif